V1 Update Documentpatch https://api.elliemae.com/encompass/v1/loans/documents/{documentId}/{loanId}Updates properties of a specified document.Path ParamsloanIdstringrequiredThe unique identifier assigned to the loan.documentIdstringrequiredThe unique identifier assigned to the document.Query ParamsviewstringOptional. View type parameter. Enumerations: entity, id When no view parameter is provided, the API will return 204 - No Content with no response body.Body ParamsapplicationNamestringBorrower Pair Name of the document.milestoneIdstringUnique identifier of the milestone assigned to the document.webCenterAllowedbooleanIndicates whether the document is available for Encompass WebCenter. Example: TRUEtruefalsetpoAllowedbooleanIndicates whether the document is available for Encompass TPO WebCenter. Example: TRUEtruefalsethirdPartyAllowedbooleanIndicates whether the document is available for Third Parties. Example: TRUEtruefalseisRequestedbooleanIndicates whether the document is requested. Example: TRUEtruetruefalserequestedBystringUserId of the user who marked the document as requested. Example: stringisRerequestedbooleanIndicates whether the document is re-requested. Example: TRUEtruetruefalsedateRerequestedstringRe-requested Date from the Status area in Document Details window. Example: 2017-01-07T01:57:23.107ZrerequestedBystringUserId of the user who marked the document as re-requested.daysDueintegerNumber of days when a requested document is due. Example: 0isReceivedbooleanIndicates whether the document is received. Example: TRUEtruetruefalsereceivedBystringUserId of the user who marked the document as received.daysTillExpireintegerNumber of days a received document is valid. Example: 0reviewedBystringUserId of the user who marked the document as reviewed.isReviewedbooleanIndicates whether the document is reviewed. Example: TRUEtruetruefalseisReadyForUwbooleanIndicates the document is ready for underwritingReady for UW Date from Status area in Document Details window. Example: TRUEtruetruefalsereadyForUwBystringUserId of the user who marked the document as ready for underwriting.isReadyToShipbooleanIndicates whether the document is ready for shipping. Example: TRUEtruetruefalsereadyToShipBystringUserId of the user who marked the document as ready to ship.dateExpiresstringThe date a received document will expire. Example: 2017-01-07T01:57:23.053ZcreatedBystringUserId of the user who created the document or comment.createdByNamestringUser Name of the user who created the comment.dateCreatedstringDate the document or comment was added. Example: 2017-01-07T01:57:23.053ZtitlestringThe title of the file.descriptionstringDescription of the document in the Encompass eFolder UI.requestedFromstringPerson or company the document is being requested by.applicationIdstringIdentifies which borrower pair (or “All”) the document will be assigned to.emnSignaturestringEPASS Signature that is used by thick client EMN integrations.StatusstringInitially, the document status is Needed, and then transitions through the various flows based on actions taken in the eFolder. Possible values are: Added Cleared Expected Fulfilled PastDue Ready for UW Ready to Ship Received Rejected Requested Rerequested Reviewed Waived StatusDatedateDate the current status was achieved. Example: 2017-01-07T01:57:23.085ZdateRequesteddateDate the document was requested. Example: 2017-01-07T01:57:23.085ZdateExpecteddateDate the document is expected to be received by. Example: 2017-01-07T01:57:23.085ZdateReceiveddateDate the document was received. Example: 2017-01-07T01:57:23.085ZdateRevieweddateDate the document was reviewed by processor or role user. Example: 2017-01-07T01:57:23.085ZdateReadyForUwdateDate the document is ready for underwriting to review. Example: 2017-01-07T01:57:23.085ZdateReadyToShipdateDate the document is ready for shipping to investor. Example: 2017-01-07T01:57:23.085ZentityIdstringUnique identifier of the entity. Example: 12345entityTypestringThe entity type for documents, is “document”. The entity type for attachments, is “attachment”. The entity type for roles, is "role".commentsstringList of comments.forRoleIdintegerUnique identifier of the role that this comment was assigned to. Example: 0commentIdstringGUID. Unique identifier of the comment.entityNamestringName of the entity.entityUristringLocation of the entity. Example: /v1/documents/123/attachment/12345HeadersAuthorizationstringrequiredBearer tokenResponses 200OK 204No Content 400Bad Request 401Unauthorized 403Forbidden 404Not Found 500Internal Server ErrorUpdated 4 days ago